<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <title>Guessing</title>

    <!-- Bootstrap core CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css"
          integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous">

    <!-- Custom styles for this template -->
    <link href="style.css" rel="stylesheet">

    <script>
        async function login(e) {
            e.preventDefault();
            const username = document.getElementById('inputUsername').value
            const number = document.getElementById('inputNumber').value

            const response = await fetch('/guess', {
                method: 'POST',
                headers: {
                    'Accept': 'application/json',
                    'Content-Type': 'application/json'
                },
                cache: 'no-cache',
                body: JSON.stringify({
                    username: username,
                    number: number
                })
            })

            if (response.status === 200) {
                const result = await response.json()
                const success = result.success

                const resultText = document.getElementById('resultText')

                if (success) {
                    const flag = result.flag
                    resultText.innerText = 'Correct! Here\'s your flag: ' + flag
                } else {
                    const correctNumber = result.number
                    resultText.innerText = 'Wrong, the correct number was ' + correctNumber
                }
            } else {
                console.log("Error " + response.status)
            }
        }
    </script>
</head>

<body class="text-center">
<form id="login-form" class="form-guessing" onsubmit="login(event)">
    <h1 id="header-text" class="h3 mb-3 font-weight-normal">Guess the number</h1>
    <label for="inputUsername" class="sr-only">Username</label>
    <input type="text" id="inputUsername" class="form-control" placeholder="Username" required>
    <label for="inputNumber" class="sr-only">Password</label>
    <input type="number" id="inputNumber" class="form-control" required value="0">
    <button class="btn btn-lg btn-primary btn-block" type="submit">Guess</button>
    <p id="resultText" class="mt-3 mb-3 text-muted"></p>
</form>
</body>
</html>
